#include <bits/stdc++.h>
using namespace std;
__int128 read() {
    string s;
    cin >> s;
    __int128 x = 0;
    bool neg = false;
    int i = 0;
    if (s[0] == '-') {
        neg = true;
        i = 1;
    }
    for (; i < s.size(); i++) {
        x = x * 10 + (s[i] - '0');
    }
    return neg ? -x : x;
}

void print(__int128 x) {
    if (x < 0) {
        cout << '-';
        x = -x;
    }
    if (x > 9) print(x / 10);
    cout << (int)(x % 10);
}

__int128 find_sum(__int128 A, __int128 B) {
    return A + B;
}
int main() {
    __int128 A = read();
    __int128 B = read();
    __int128 result = find_sum(A, B);

    print(result);
    cout << '\n';

    return 0;
}
